# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 0.99
%def_enable http
%def_enable avahi
%def_enable cdda
%def_enable fuse
%def_enable gconf
%def_enable hal
%def_enable obexftp
%def_enable gphoto2
%def_enable keyring
%def_enable samba
%def_enable archive

Name: gvfs
Version: %ver_major.1
Release: alt0.M41.1

Summary: The GNOME virtual file-system libraries
License: %lgpl2plus
Group: System/Libraries
URL: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Patch1: gvfs-0.2.2-archive-integration.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=522933 
Patch2: gvfs-ftp-read-directory-2.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=525779 
Patch3: gvfs-0.2.4-trash-automount.patch

# From configure.in
%define intltool_ver 0.35.0
%define glib_ver 2.15.6
%define gio_ver 2.15.6
%define libsoup_ver 2.3.0
%define avahi_ver 0.6
%define libcdio_paranoia_ver 0.78.2
%define hal_ver 0.5.10
%define bluez_ver 3.12

Requires: gnome-mount
Requires(post,postun): desktop-file-utils

BuildPreReq: rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: gtk-doc
BuildPreReq: openssh-clients
%{?_enable_http:BuildPreReq: libsoup-devel >= %libsoup_ver libxml2-devel}
%{?_enable_avahi:BuildPreReq: libavahi-glib-devel >= %avahi_ver libavahi-devel >= %avahi_ver}
%{?_enable_cdda:BuildPreReq: libcdio-devel >= %libcdio_paranoia_ver}
%{?_enable_fuse:BuildPreReq: libfuse-devel}
%{?_enable_gconf:BuildPreReq: libGConf-devel}
%{?_enable_hal:BuildPreReq: libhal-devel >= %hal_ver}
%{?_enable_obexftp:BuildPreReq: libbluez-devel >= %bluez_ver libdbus-glib-devel libexpat-devel}
%{?_enable_gphoto2:BuildPreReq: libgphoto2-devel}
%{?_enable_keyring:BuildPreReq: libgnome-keyring-devel}
%{?_enable_samba:BuildPreReq: libsmbclient-devel}
%{?_enable_archive:BuildPreReq: libarchive-devel}

BuildPreReq: desktop-file-utils

BuildRequires:  gcc-c++  perl-XML-Parser

%package devel
Summary: Libraries and include files for developing gvfs applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package -n fuse-gvfs
Summary: gvfs fuse gateway
Group: System/Kernel and hardware
Requires: %name = %version-%release
Requires: %{get_dep fuse}

%package backend-smb
Summary: Samba backend for gvfs
Group: System/Libraries
Requires: %name = %version-%release

%package backend-obexftp
Summary: Obexftp backend for gvfs
Group: System/Libraries
Requires: %name = %version-%release

%package backend-dnssd
Summary: Dnssd(avahi) backend for gvfs
Group: System/Libraries
Requires: %name = %version-%release

%package backend-cdda
Summary: Music CD-ROM backend for gvfs
Group: System/Libraries
Requires: %name = %version-%release

%package backends
Summary: All backends for gvfs
Group: System/Libraries
Requires: gvfs gvfs-backend-smb gvfs-backend-obexftp gvfs-backend-dnssd gvfs-backend-cdda

%package utils
Summary: Command line applications for gvfs.
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package -n bash-completion-gvfs
Summary: Bash completion for gvfs utils
Group: Development/Other
Requires: bash-completion
Requires: gvfs-utils


BuildRequires: rpm-build-compat >= 0.95

%description
gvfs is a userspace virtual filesystem where mount runs as a separate 
processes which you talk to via dbus. It also contains a gio module that 
seamlessly adds gvfs support to all applications using the gio API. It also 
supports exposing the gvfs mounts to non-gio applications using fuse.

This package contains the gvfs server,libgvfscommon library, gio modules and
backends for gvfs: archive, burn, computer, dav, ftp,
gphoto2, http, localtest, network, sftp and trash.

%description devel
gvfs is a userspace virtual filesystem where mount runs as a separate 
processes which you talk to via dbus. It also contains a gio module that 
seamlessly adds gvfs support to all applications using the gio API. It also 
supports exposing the gvfs mounts to non-gio applications using fuse.

This package contains the libgvfscommon development files.

%description -n fuse-gvfs
fuse-gvfs is a bridge between the gvfs filesystem design and fuse, a
program to mount user-space filesystems.

%description backend-smb
This package contains the smb and smb-browse backends for gvfs.

%description backend-obexftp
This package contains the obexftp backend for gvfs.

%description backend-dnssd
This package contains the dnssd backend for gvfs.

%description backend-cdda
This package contains the cdda backend for gvfs.

%description backends
This virtual package contains the all backends for gvfs.

%description utils
This package contains command line tools for gvfs.

%description -n bash-completion-gvfs
Bash completion for gvfs.


%define _libexecdir %_prefix/libexec/%name

%prep
%setup -q
%patch1 -p0 -b .archive-integration
%patch2 -p0 -b .recurse-dir
%patch3 -p1 -b .trash


%build
# Needed for gvfs-0.2.1-archive-integration.patch
%autoreconf

%configure \
        %{subst_enable http} \
        %{subst_enable avahi} \
        %{subst_enable cdda} \
        %{subst_enable fuse} \
        %{subst_enable gconf} \
        %{subst_enable hal} \
        %{subst_enable obexftp} \
        %{subst_enable gphoto2} \
        %{subst_enable keyring} \
        %{subst_enable samba} \
        %{subst_enable archive} \
        --enable-gtk-doc

%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

mkdir -p %buildroot%_sysconfdir/bash_completion.d/
mv -f %buildroot%_sysconfdir/profile.d/gvfs-bash-completion.sh %buildroot%_sysconfdir/bash_completion.d/%name

%post
%post_ldconfig
%update_desktopdb
killall -USR1 gvfsd >&/dev/null || :

%postun 
%postun_ldconfig
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
# lib
%_libdir/libgvfscommon.so.*
# daemon
%_libexecdir/gvfsd
%_datadir/dbus-1/services/*
# gio modules
%_libdir/gio/modules/*.so
# default backends
%_libexecdir/gvfsd-*
%dir %_datadir/%name
%_datadir/%name/mounts
%_datadir/applications/mount-archive.desktop

# in another package
%exclude %_libexecdir/gvfsd-smb
%exclude %_libexecdir/gvfsd-smb-browse
%exclude %_libexecdir/gvfsd-obexftp
%exclude %_libexecdir/gvfsd-dnssd
%exclude %_libexecdir/gvfsd-cdda
%exclude %_datadir/%name/mounts/smb.mount
%exclude %_datadir/%name/mounts/smb-browse.mount
%exclude %_datadir/%name/mounts/obexftp.mount
%exclude %_datadir/%name/mounts/dns-sd.mount
%exclude %_datadir/%name/mounts/cdda.mount

%files devel
%_includedir/*
%_libdir/*.so
#%%_datadir/gtk-doc/html/*

%files -n fuse-gvfs
%_libexecdir/gvfs-fuse-daemon

%files backend-smb
%_libexecdir/gvfsd-smb
%_libexecdir/gvfsd-smb-browse
%_datadir/%name/mounts/smb.mount
%_datadir/%name/mounts/smb-browse.mount

%files backend-obexftp
%_libexecdir/gvfsd-obexftp
%_datadir/%name/mounts/obexftp.mount

%files backend-dnssd
%_libexecdir/gvfsd-dnssd
%_datadir/%name/mounts/dns-sd.mount

%files backend-cdda
%_libexecdir/gvfsd-cdda
%_datadir/%name/mounts/cdda.mount

%files backends

%files utils
%_bindir/*

%files -n bash-completion-gvfs
%_sysconfdir/bash_completion.d/%name

%exclude %_libdir/gio/modules/*.la

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 0.99.1-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Thu Jun 26 2008 Alexey Shabalin <shaba@altlinux.ru> 0.99.1-alt1
- 0.99.1
- enable archive integration (patch1)
- fix GNOME bugs #522933, #525779 (patch2, patch3)
- add update_desktopdb in post-scripts

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Wed Apr 09 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.3-alt1
- 0.2.3
- changed libexec dir to %_prefix/libexec/%name

* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.2-alt1
- 0.2.2

* Fri Mar 28 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.1-alt2
- fix exclude files (change libdir to libexecdir)

* Thu Mar 27 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.1-alt1
- 0.2.1
- split the package into backends, utils
- move gvfs-bash-completion.sh from /etc/profile.d to /etc/bash_completion.d/,
  and individual package. (#15068)

* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.0.1-alt2
- add require gnome-mount

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.0.1-alt1.1
- remove require gnome-mount

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.0.1-alt1
- redesigned spec

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.2.0.1-alt0.2
- update BuildRequires

* Thu Mar 13 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.2.0.1-alt0.1
- 0.2.0.1
- requires improvement

* Wed Mar 12 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.2.0-alt0.1
- 0.2.0
